Index: npl/mailserver/vpopmail/vpopmail.SlackBuild
===================================================================
--- npl/mailserver/vpopmail/vpopmail.SlackBuild	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/vpopmail/vpopmail.SlackBuild	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,90 @@
+#!/bin/bash
+
+##NEED:...
+##DEP:..
+#NEED:netqmail
+#DEP:openldap
+
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC
+
+#Directory where the sourcefiles are unpacked.
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR
+
+groupadd -g 89 vchkpw
+useradd -g vchkpw -u 89 -d /home/vpopmail vpopmail
+#AUTOMAKE: Configure
+#Some usefull stuff you sometimes need to set:
+#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
+#export LD_LIBRARY_PATH=/usr/lib/mysql
+#export VPATH=$LD_LIBRARY_PATH
+#export CFLAGS="-std=c89"
+#export CFLAGS="-fgnu89-inline" #If "multiple definition of `foo'" Also see http://gcc.gnu.org/gcc-4.3/porting_to.html
+MAKE_OPTS=""
+./configure \
+		--prefix=/usr \
+        --enable-qmaildir=/var/qmail/ \
+        --enable-qmail-newu=/var/qmail/bin/qmail-newu \
+        --enable-qmail-inject=/var/qmail/bin/qmail-inject \
+        --enable-qmail-newmrh=/var/qmail/bin/qmail-newmrh \
+        --disable-roaming-users \
+        --enable-incdir=/usr/include/mysql \
+        --enable-libdir=/usr/lib64 \
+        --enable-logging=p \
+		--enable-auth-module=ldap \
+        --disable-clear-passwd \
+        --enable-auth-logging \
+        --disable-valias \
+        --disable-passwd \
+        --enable-qmail-ext \
+        --enable-learn-passwords
+
+
+#AUTOMAKE: Compile
+make $MAKE_OPTS || exit 1
+
+
+#AUTOMAKE: Install
+mkdir -p /tmp/pkg &>/dev/null
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg $MAKE_OPTS install || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
Index: npl/mailserver/vpopmail/vpopmail.arch
===================================================================
--- npl/mailserver/vpopmail/vpopmail.arch	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/vpopmail/vpopmail.arch	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+i586
Index: npl/mailserver/vpopmail/vpopmail.build
===================================================================
--- npl/mailserver/vpopmail/vpopmail.build	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/vpopmail/vpopmail.build	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+1
Index: npl/mailserver/vpopmail/vpopmail.depver
===================================================================
--- npl/mailserver/vpopmail/vpopmail.depver	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/vpopmail/vpopmail.depver	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+openldap	1
Index: npl/mailserver/vpopmail/vpopmail.md5
===================================================================
--- npl/mailserver/vpopmail/vpopmail.md5	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/vpopmail/vpopmail.md5	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,5 @@
+0b5c8febc20f543d2ad835f3f789a9fc  ./vpopmail-5.4.33.tar.gz
+125274ad693c912a86cff7751b6799e2  ./vpopmail_dev.pkg
+307430e3eb7b9e4f1401c6976b8a392d  ./vpopmail.pkg
+5dc50fc2b8e315e02bc58a174c6e0da0  ./vpopmail.SlackBuild
+f4ae815186132f4a8b1d6f3e45f63209  ./vpopmail.SlackBuild.log.gz
Index: npl/mailserver/vpopmail/vpopmail.version
===================================================================
--- npl/mailserver/vpopmail/vpopmail.version	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/vpopmail/vpopmail.version	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+5.4.33
Index: npl/mailserver/vpopmail/vpopmail_dev.arch
===================================================================
--- npl/mailserver/vpopmail/vpopmail_dev.arch	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/vpopmail/vpopmail_dev.arch	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+i586
Index: npl/mailserver/vpopmail/vpopmail_dev.build
===================================================================
--- npl/mailserver/vpopmail/vpopmail_dev.build	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/vpopmail/vpopmail_dev.build	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+1
Index: npl/mailserver/vpopmail/vpopmail_dev.version
===================================================================
--- npl/mailserver/vpopmail/vpopmail_dev.version	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/vpopmail/vpopmail_dev.version	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+5.4.33
